#Bibliotheken laden
import RPi.GPIO as gpio
import time as zeit

#Initialisierung
def init():
    #Nummern der GPIO-Pins
    leds = [26, 19, 13, 6, 5, 22, 27, 17]
    print leds
    #Pause in Sekunden festlegen
    pause = .5
    gpio.setwarnings(False)
    gpio.cleanup()
    #Modus der Pin-Bezeichner einstellen
    gpio.setmode(gpio.BCM)
    #LED-Pins als Ausgang definieren
    for led in leds:
        gpio.setup(led, gpio.OUT)
    return (leds, pause)


def main():
    (ledliste, pause) = init()
    pegelliste = [1,0,1,0,1,0,1,0,1,0]
    while True:
        for i  in range(len(ledliste)):
            gpio.output(ledliste[i],pegelliste[i])
        zeit.sleep(pause)
        pegelliste.reverse()

main()

"""
Aufgaben:
    1. Verbinde die Basiswiderstaende mit den zugehoerigen Pins. [s. init()}
    2. Verbinde einen GND-Pin mit der -Leiste.
    3. Schliesse die Batterie an.
    4. Teste das Programm.
    5. Modifiziere das Hauptprogramm so, dass ein Lauflicht mit 1 LED entsteht.
    6. Lasse das Licht entgegengesetzt laufen.
    7. Lasse das Lauflicht aus 5. pendeln.
"""
